#ifndef TIPDIALOG_H
#define TIPDIALOG_H
#include <LoQClass/loqdialog.h>
#include <QLineEdit>
#include <QTableWidget>
#include <QHBoxLayout>
namespace Ui {
class TipDialog;
}

class TipDialog : public LoQDialog
{
    Q_OBJECT

public:
    explicit TipDialog(QWidget *parent = nullptr);
    TipDialog(QWidget *parent,int iTipDlgType);
    TipDialog(QWidget *parent,int iTipDlgType,QStringList *list,int iTipType);
    ~TipDialog();

public:
    QLineEdit *pTextPath;
    QString m_strLineEditText;
signals:
    void sigAcceptData(QString string1,  QString string2);
protected slots:
    void onAccepted();
    void OnSelectDir();
    void OnExportButton();
    void OnImportPro();
    void OnNetworkListSelectChanged();
private:
    Ui::TipDialog *ui;
    int m_iTipDlgType;
    QTableWidget *ctrlProgramList=nullptr;
    QHBoxLayout *m_pLayoutSelectDirPath=nullptr;
    bool iImportAtLeastOneSuccessFlag=false;
};

#endif // TIPDIALOG_H
